let webpack = require('webpack');
let webpackConfig = require('./webpack.config');
var Spinner = require('cli-spinner').Spinner;
var spinner = new Spinner('%s 首次编译比较耗时，请耐心等待！');
spinner.setSpinnerString(20);

exports.build = function () {
    return new Promise(function (resolve) {
        spinner.start();
        let compiler = webpack(webpackConfig, function (err, stats) {
            if (err) throw err
            // process.stdout.write(stats.toString({
            //         colors: true,
            //         modules: false,
            //         children: false,
            //         chunks: false,
            //         chunkModules: false
            //     }) + '\n\n')
            spinner.stop()
            resolve();
        });

        if(process.env.NODE_ENV==="dev"){
            global.middleware = [];
            global.middleware.push(require("webpack-dev-middleware")(compiler,{
                noInfo: true,log:false
            }));
            global.middleware.push(require("webpack-hot-middleware")(compiler,{
                noInfo: true,log:false
            }))
        }
    })
};
